DROP TABLE IF EXISTS DrugMarkets;
CREATE TABLE public.DrugMarkets
(
    Therapy varchar(255),
    Therapy_ID varchar(255),
    Market_ID varchar(50),
    Market varchar(255)
);

DROP TABLE IF EXISTS DrugPhase;
CREATE TABLE public.DrugPhase
(
    Drug_ID float,
    Phase_ID float,
    Term varchar(255),
    Year float,
    Month float
);

DROP TABLE IF EXISTS DrugsPrices;
CREATE TABLE public.DrugsPrices
(
    Drug_ID float,
    Year_ID float,
    Qtr_ID varchar(255),
    Price numeric(18,4)
);

DROP TABLE IF EXISTS F_DailyAll;
CREATE TABLE public.F_DailyAll
(
    Company_ID int,
    Date_ID timestamp,
    Drug_ID int,
    Phase_ID int,
    TRx int,
    NRx int,
    Practitioner_ID int,
    Ins_Plan_ID int
);

DROP TABLE IF EXISTS F_DailyAll_bkp;
CREATE TABLE public.F_DailyAll_bkp
(
    Company_ID int,
    Date_ID timestamp,
    Drug_ID int,
    Phase_ID int,
    TRx int,
    NRx int,
    Practitioner_ID int,
    Ins_Plan_ID int
);

DROP TABLE IF EXISTS F_DailyCompetition;
CREATE TABLE public.F_DailyCompetition
(
    Company_ID int,
    Date_ID timestamp,
    Drug_ID int,
    Phase_ID int,
    Sales numeric(18,4),
    TRx int,
    NRx int,
    Practitioner_ID int
);

DROP TABLE IF EXISTS F_DailyGower;
CREATE TABLE public.F_DailyGower
(
    ID int NOT NULL,
    Company_ID int,
    Date_ID timestamp,
    Drug_ID int,
    Practitioner_ID int,
    AE_ID int,
    Phase_ID int,
    TRx int,
    NRx int,
    Disc_Attain int,
    Disc_Target int,
    Samples int,
    Days_In_Territory int
);

DROP TABLE IF EXISTS F_DailyTouchPoints;
CREATE TABLE public.F_DailyTouchPoints
(
    Date_ID timestamp,
    Drug_ID int,
    Practitioner_ID int,
    AE_ID int,
    TP_Attain int,
    TP_Target int,
    Samples int,
    Comments varchar(16000),
    TP_Target_bkp int
);

DROP TABLE IF EXISTS F_DailyTouchPoints_bak;
CREATE TABLE public.F_DailyTouchPoints_bak
(
    Date_ID timestamp,
    Drug_ID int,
    Practitioner_ID int,
    AE_ID int,
    TP_Attain int,
    TP_Target int,
    Samples int,
    Comments varchar(16000),
    TP_Target_bkp int,
    Practitioner_ID_bak int,
    DTP_ID int NOT NULL
);


DROP TABLE IF EXISTS LU_AccountExecutive;
CREATE TABLE public.LU_AccountExecutive
(
    AE_ID float NOT NULL,
    AE_DESC varchar(255),
    First_Name varchar(255),
    Last_Name varchar(255),
    Email varchar(255),
    Phone varchar(255),
    Address varchar(255),
    City varchar(255),
    State varchar(255),
    Zip varchar(255),
    Used varchar(255)
);

DROP TABLE IF EXISTS LU_Accounts;
CREATE TABLE public.LU_Accounts
(
    Account_ID int,
    Account_DESC varchar(255)
);

DROP TABLE IF EXISTS LU_Companies;
CREATE TABLE public.LU_Companies
(
    Company_ID int NOT NULL,
    Company_Desc varchar(255)
);



DROP TABLE IF EXISTS LU_Dates;
CREATE TABLE public.LU_Dates
(
    Date_ID timestamp NOT NULL,
    Yesterday timestamp,
    Last_Week timestamp,
    Last_Month timestamp,
    Last_Qtr timestamp,
    Last_Year timestamp,
    DOW_ID float,
    DOM_ID float,
    DOW_DESC varchar(255),
    Week_ID varchar(255),
    Week_DESC float,
    Last_Week_ID varchar(255),
    Last_Week_DESC float,
    Month_ID float,
    Month_DESC varchar(255),
    MonthOfYear_ID float,
    MonthOfYear_DESC varchar(255),
    Last_Month_ID float,
    Last_Month_DESC varchar(255),
    Qtr_ID float,
    Last_Qtr_ID float,
    Year_ID float,
    Last_Year_ID float
);


DROP TABLE IF EXISTS LU_DatesHolidays;
CREATE TABLE public.LU_DatesHolidays
(
    Date_ID timestamp,
    Holiday varchar(255)
);

DROP TABLE IF EXISTS LU_DrugPhase;
CREATE TABLE public.LU_DrugPhase
(
    Phase_ID int NOT NULL,
    Phase_Desc varchar(255)
);

DROP TABLE IF EXISTS LU_Drugs;
CREATE TABLE public.LU_Drugs
(
    Drug_ID int NOT NULL,
    Drug_Desc varchar(255),
    Company_ID int,
    Market_ID varchar(50)
);

DROP TABLE IF EXISTS LU_Geography;
CREATE TABLE public.LU_Geography
(
    State varchar(255),
    District varchar(255),
    Region varchar(255)
);

DROP TABLE IF EXISTS LU_InsCompanies;
CREATE TABLE public.LU_InsCompanies
(
    Ins_Comp_ID int,
    Ins_Comp_DESC varchar(50)
);


DROP TABLE IF EXISTS LU_InsPlans;
CREATE TABLE public.LU_InsPlans
(
    Ins_Comp_ID int,
    Ins_Plan_ID int,
    Ins_Plan_DESC varchar(255)
);


DROP TABLE IF EXISTS LU_Practitioners;
CREATE TABLE public.LU_Practitioners
(
    Practitioner_ID int NOT NULL,
    Practitioner_DESC varchar(255),
    First_Name varchar(255),
    Middle_Initial varchar(255),
    Last_Name varchar(255),
    Specialty1 float,
    Specialty2 int,
    Specialty3 int,
    Specialty4 int,
    Affiliation varchar(255),
    ME_Number varchar(255),
    ME_ID float,
    Graduation timestamp,
    Address varchar(255),
    City varchar(255),
    State varchar(255),
    Zip varchar(255),
    Long float,
    Lat float,
    Email varchar(255),
    Phone varchar(255),
    DOB timestamp,
    Gender varchar(255),
    Spouse varchar(255),
    SSN varchar(255),
    Photo_ID float,
    Used varchar(255),
    AE_ID int,
    Account_ID int
);


DROP TABLE IF EXISTS LU_PractitionersPhoto;
CREATE TABLE public.LU_PractitionersPhoto
(
    Photo_ID int NOT NULL,
    Gender varchar(255),
    FileName varchar(255)
);

DROP TABLE IF EXISTS LU_PractitionersSchool;
CREATE TABLE public.LU_PractitionersSchool
(
    ME_ID float NOT NULL,
    ME_DESC varchar(255),
    State varchar(255),
    City varchar(255),
    Est float,
    First_Class varchar(255),
    Degree varchar(255),
    Notes varchar(16000)
);


DROP TABLE IF EXISTS LU_PractitionersSpecialty;
CREATE TABLE public.LU_PractitionersSpecialty
(
    Spec_ID int NOT NULL,
    Spec_Desc varchar(255),
    Spec_ShortDesc varchar(255),
    Spec_LongDesc varchar(16000)
);


DROP TABLE IF EXISTS LU_Touchpoint_Type;
CREATE TABLE public.LU_Touchpoint_Type
(
    Touchpoint_Type int NOT NULL,
    Touchpoint_Type_DESC varchar(50)
);

DROP TABLE IF EXISTS PractitionerSpecs;
CREATE TABLE public.PractitionerSpecs
(
    Practitioner_ID float NOT NULL,
    Spec_ID float
);


DROP TABLE IF EXISTS TR_Comments;
CREATE TABLE public.TR_Comments
(
    Comments_ID int NOT NULL,
    Comments varchar(255)
);


DROP TABLE IF EXISTS Task_Transaction;
CREATE TABLE public.Task_Transaction
(
    Task_TransactionID int NOT NULL,
    DoctorID float,
    DueDate date,
    Assignment varchar(200),
    Device_ID varchar(50),
    BrandID int NOT NULL,
    Signature char(200),
    Latitude varchar(50),
    Longitude varchar(50)
);


DROP TABLE IF EXISTS Touchpoint_Log;
CREATE TABLE public.Touchpoint_Log
(
    Transaction_ID int NOT NULL,
    Prescriber_ID float,
    TP_Date timestamp,
    Touchpoint_Type_DESC varchar(50),
    Touchpoint_Type varchar(50),
    Brand_ID int,
    Quantity int,
    Comments varchar(250),
    Device_ID varchar(255),
    Signature varchar(141),
    Latitude varchar(50),
    Longitude varchar(50)
);










